Skip to content

Get historical usage for the authenticated account's organization over a date range.

GET
/organization/usage/history
startDate
required
string

Start date (YYYY-MM-DD) for the range

endDate
required
string

End date (YYYY-MM-DD) for the range

Successful response

Response for GET /organization/usage/history

object
items
required

Array of usage items, one per month in the requested range

Array<object>

Single usage item in historical response

object
yearMonth
required

Year-month (YYYY-MM) for this usage period

string
messageUsage
required

Total message usage (EMAIL + INAPP_WEB + WEB_PUSH + PUSH + SLACK)

number
budgetUsage
required

Total budget usage in USD (cost_SMS + cost_CALL)

number
costSms
required

SMS cost in USD

number
costCall
required

Call cost in USD

number
channelUsages
required

Per-channel usage breakdown

object
key
additional properties
number

Bad Request - validation errors, invalid input

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Unauthorized

Payment Required - usage limits exceeded

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Internal Server Error

Bad Gateway - provider error

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string